Languages and Scripting
Showing results for 
Search instead for 
Do you mean 

Compiling gnuplot on an IA64 OVMS 8.3-1H1

Regular Advisor

Compiling gnuplot on an IA64 OVMS 8.3-1H1

[ Edited ]

Hi All,

 

I am trying to compile gnuplot in our development server, but I am encountering a problem when I do it. I have downloaded the latest gnuplot from sourceforge, v4.6.3, and I am not sure whether is it really compatible with my current system:

 

HW: rx2660

OS: OVMS 8.3-1H1

C: HP C v7.1

MMK v4.0

 

What I have done:

1. Downloaded gnuplot 4.6.3 source codes from sourceforge (.tar.gz).

2. Extracted in OpenVMS server using gzip and vmstar.

3. Executed $@ configure.vms inside root of extracted directory.

4. Executed $ mmk inside [.src]

 

I also tried to use the buildvms.com inside the [.config] folder and it was failing as well.

 

Any hints on how I can compile and produce a working .exe file? Thanks!

 

 

P.S. This thread has been moevd from OpenVMS > General to OpenVMS > Languages and Scripting. - HP Forum Moderator

3 REPLIES
Honored Contributor Honored Contributor

Re: Compiling gnuplot on an IA64 OVMS 8.3-1H1

 
Honored Contributor Honored Contributor

Re: Compiling gnuplot on an IA64 OVMS 8.3-1H1

Indded, configure.vms doesn't have a test for <stdbool.h> (which is a C99 feature). Adding HAVE_STDBOOL = 1 to configure.vms would do, as would hand editing config.h (adding a proper test for support would be better)

 

Alternatively, adding /STANDARD=ANSI89 to CFLAGS would work.

Honored Contributor Honored Contributor

Re: Compiling gnuplot on an IA64 OVMS 8.3-1H1